//---------------------------------------------------------------------------
#ifndef BDEUtilCompH
#define BDEUtilCompH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>

// Includes
#include <db.hpp>
#include "BDEUtil.h"

//---------------------------------------------------------------------------
class PACKAGE TBDEUtilComp : public TComponent
{
private:
        bool ProcessingTable; // Whether or not it is currently processing
        TBDEUtil* BDEUtil; // Borland TUtil DLL interface class
        String TPath; // Path to table to work on
        String StatusStr; // Result message of operation
        String ErrorStr; // Error message string
        void __fastcall SetTablePath(String sTableFile);
protected:
public:
        __fastcall TBDEUtilComp(TComponent* Owner);
        __fastcall ~TBDEUtilComp();

        bool VerifyTable();
        bool RebuildTable();
__published:
        __property String TablePath = {read=TPath, write=SetTablePath};
        __property String StatusMsg = {read=StatusStr, write=StatusStr};
        __property String ErrorMsg = {read=ErrorStr, write=ErrorStr};
        __property bool Processing = {read=ProcessingTable};
};
//---------------------------------------------------------------------------
#endif
